###################################################
#
# DRIVERS Settings
#
###################################################

# Postgres
DB_DRIVER_PATH_PG='modules/jdbc/pgsql/postgresql-42.7.4.jar'
pgsql=${DB_DRIVER_PATH_PG}

# MS SQL
# 12.8.0 jre11 for jre11 and newer
# 27.09.2024
DB_DRIVER_PATH_MSSQL_JRE11='modules/jdbc/mssql/mssql-jdbc-12.8.0.jre11.jar'
DB_DRIVER_PATH_MSSQL_JRE17='modules/jdbc/mssql/mssql-jdbc-11.2.0.jre17.jar'
DB_DRIVER_PATH_MSSQL_JRE18='modules/jdbc/mssql/mssql-jdbc-11.2.0.jre18.jar'
mssql=${DB_DRIVER_PATH_MSSQL_JRE11}

# Supports Oracle Database versions - 21c, 19c, 18c, and 12.2
# Certified with JDK8 and JDK11
DB_DRIVER_PATH_ORACLE8='modules/jdbc/oracle/ojdbc8.jar'
oracle8=${DB_DRIVER_PATH_ORACLE8}

# Supports Oracle Database versions - 21c, 19c, 18c, and 12.2
# Implements JDBC 4.3 spec and certified with JDK11
DB_DRIVER_PATH_ORACLE10='modules/jdbc/oracle/ojdbc10.jar'
oracle10=${DB_DRIVER_PATH_ORACLE10}

# Supports Oracle Database versions - 21c, 19c, 18c, and 12.2
# Implements JDBC 4.3 spec and certified with JDK11 and JDK17
DB_DRIVER_PATH_ORACLE11='modules/jdbc/oracle/ojdbc11.jar'
oracle11=${DB_DRIVER_PATH_ORACLE11}

cryptoprojcp='modules/ru.cryptopro.jcp'
cryptoprojcp_resources='ASN1P-2.0.41940.jar:JCP-2.0.41940.jar:JCryptoP-2.0.41940.jar:asn1rt-2.0.41940.jar' # uses only in installer

logstash_gelf='modules/biz.paluch.logging.logstash-gelf'
